=== debian/changelog ===
laidout (0.096.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Switch to source format 3.0 (quilt).
  * Add missing build-deps.
  * Fix up debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 04 May 2018 12:40:53 -0700

laidout (0.096.1) unstable; urgency=low

  * Dev version

 -- Tom Lechner <tomscoding@gmail.com>  Thu, 18 Dec 2015 21:15:50 -0800
