=== debian/control ===
Source: laidout
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tom Lechner <tomscoding@gmail.com>
Build-Depends: debhelper (>= 9.0.0),
               pkg-config,
               libpng12-dev | libpng-dev,
               libreadline-dev, libx11-dev,
               libxext-dev,
               libxi-dev,
               libxft-dev,
               libcups2-dev,
               libimlib2-dev,
               libfontconfig-dev,
               libfreetype6-dev,
               libssl-dev,
               xutils-dev,
               libcairo2-dev,
               libharfbuzz-dev,
               libsqlite3-dev,
               libgraphicsmagick++1-dev,
               mesa-common-dev,
               libglu1-mesa-dev,
               libftgl-dev,
               libgegl-dev (>= 0.3),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.laidout.org

Package: laidout
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lay out pictures in cut and folded books.
 Laidout is desktop publishing software with interactive
 impostion editing, by folding paper on screen.
 Objects can be moved between pages by
 dragging on and off a scratchboard. Page order can be
 rearranged in a convenient page spread editor.
 .
 Development focus is on novel tool development, such
 as intuitive ways to arrange many objects, a tesselation
 tool, and a tool to produce fields of engraving lines.
 .
 A document can be edited as single pages, or how the
 pages appear when the book is assembled, or how the pages
 appear on master printing pages according to whichever
 imposition you use.
 .
 The definition of an imposition is broad enough to allow
 pages that do not even have to be rectangular. You can
 define and use a net that might correspond to some arcane
 polyhedron, for instance a dodecahedron with 12 images
 corresponding to the 12 months of the year.
